<?php /**
* Plugin buddies_links - config page
*
* @package	PLX
* @version	1.0
* @date	16/09/16
* @author Bronco
**/
if(!defined("PLX_ROOT")) exit; ?>
<?php 
	if(!empty($_POST)) {
		$names 			=implode('|',$_POST['name']);
		$links 			=implode('|',$_POST['link']);
		$descriptions 	=implode('|',$_POST['description']);

		$plxPlugin->setParam("links_title", plxUtils::strCheck($_POST['links_title']), "string");
		$plxPlugin->setParam("icon_size", plxUtils::strCheck($_POST['icon_size']), "string");
		$plxPlugin->setParam("download_icons", plxUtils::strCheck($_POST['download_icons']), "string");
		$plxPlugin->setParam("desc_in_title", plxUtils::strCheck($_POST['desc_in_title']), "string");
		$plxPlugin->setParam("name", plxUtils::strCheck($names), "string");
		$plxPlugin->setParam("link", plxUtils::strCheck($links), "string");
		$plxPlugin->setParam("description", plxUtils::strCheck($descriptions), "string");

		$plxPlugin->saveParams();
		header("Location: parametres_plugin.php?p=buddies_links");
		exit;
	}
	$size=$plxPlugin->getParam("icon_size");
?>
<script>

 function removeme(obj){
	if (obj.length==0){return;}
	parent=obj.parentNode;
	console.log(parent);
	parent.remove();
}
 function addnew(obj){
	if (obj.length==0){return;}
	// clone the completed one & add it after
	fullone=obj.parentNode.cloneNode(true);
	obj.parentNode.parentNode.appendChild(fullone);

	// reset the add_new form
	obj.parentNode.removeAttribute('id');
	obj.parentNode.childNodes.forEach(function(object){
		object.value='';
	});
	fullone.lastElementChild.removeAttribute('class');
	fullone.lastElementChild.previousElementSibling.style.display='none';
	
}

</script>
<style> 
	.hidden{display:none;}
	fieldset{padding:10px;margin-bottom:20px;border-bottom:1px solid rgba(0,0,0,0.5);}
	.remove a{color:red;}
</style>

<h2><?php $plxPlugin->lang("L_TITLE") ?></h2>
<p><?php $plxPlugin->lang("L_DESCRIPTION") ?></p>
<form action="parametres_plugin.php?p=buddies_links" method="post" >
	<p><input type="submit" name="submit" value="Enregistrer"/> </p>

	<p class="col sml-12 med-4">
		<label><?php echo $plxPlugin->lang("L_TITLE_PARAM");?></label>
		<input type="text" style="width:100%;" name="links_title" value="<?php echo $plxPlugin->getParam("links_title");?>"/>
	</p>
	<p class="col sml-12 med-2">
		<label><?php echo $plxPlugin->lang("L_ICON_SIZE");?></label>
		<select style="width:100%;" name="icon_size" >
			<option<?php   echo $size==''?' selected ':''?> value="">&#8709;</option>
			<option<?php  echo $size=='8'?' selected ':''?>  value="8">8x8</option>
			<option<?php echo $size=='16'?' selected ':''?>  value="16">16x16</option>
			<option<?php echo $size=='24'?' selected ':''?>  value="24">24x24</option>
			<option<?php echo $size=='32'?' selected ':''?>  value="32">32x32</option>
			<option<?php echo $size=='48'?' selected ':''?>  value="48">48x48</option>
			<option<?php echo $size=='64'?' selected ':''?>  value="64">64x64</option>
		</select>

	</p>	
	<p class="col sml-12 med-2">
		<label><?php echo $plxPlugin->lang("L_DOWNLOAD_ICONS");?></label>
		<select style="width:100%;" name="download_icons" value="<?php echo $plxPlugin->getParam("download_icons");?>"><option value="0" <?php echo $plxPlugin->getParam("download_icons")=="0" ? 'selected="true"' : ''?>><?php echo $plxPlugin->lang("L_DEFAULT_ICON");?></option>
			<option value="1" <?php echo $plxPlugin->getParam("download_icons")=="1" ? 'selected="true"' : 'no'?>><?php echo $plxPlugin->lang("L_DOWNLOAD");?></option>
		</select>

	</p>
	<p class="col sml-12 med-4">
		<label><?php echo $plxPlugin->lang("L_SHOW");?></label>
		<select style="width:100%;" name="desc_in_title" value="<?php echo $plxPlugin->getParam("desc_in_title");?>"><option value="0" <?php echo $plxPlugin->getParam("desc_in_title")=="0" ? 'selected="true"' : ''?>><?php echo $plxPlugin->lang("L_DESCRIPTION_ON_HOVER");?></option>
			<option value="1" <?php echo $plxPlugin->getParam("desc_in_title")=="1" ? 'selected="true"' : 'no'?>><?php echo $plxPlugin->lang("L_DESCRIPTION_VISIBLE");?></option>
		</select>
	</p>
	<div style="clear:both"></div>
	
	<hr/>
	<div>
	<div id="add">
		<fieldset id="clone_this">
			<input type="text" style="width:100%;" name="name[]" value="" placeholder="<?php $plxPlugin->lang("L_NAME") ?>"/>

			<input type="url" style="width:100%;" name="link[]" value=""  placeholder="<?php $plxPlugin->lang("L_URL_EXAMPLE") ?>"/>

			<input type="text" style="width:100%;" name="description[]" placeholder="" value=""/>

			<a onclick="addnew(this);" id="add_link">&#8853; <?php $plxPlugin->lang("L_ADD_NEW") ?> &#9660;</a>
			<a onclick="removeme(this);" class="hidden">&#10006; <?php $plxPlugin->lang("L_REMOVE");?></a>
		</fieldset>
	</div>
<?php
	$names 			=array_filter(explode('|',$plxPlugin->getParam("name")));
	$links 			=array_filter(explode('|',$plxPlugin->getParam("link")));
	$descriptions 	=array_filter(explode('|',$plxPlugin->getParam("description")));

	foreach ($names as $key => $value) {
		echo '
		<div>
			<fieldset class="remove col sml-12 med-5">
				<input type="text" style="width:100%;" name="name[]" value="'.$value.'" placeholder="'.$plxPlugin->getlang("L_NAME").'"/>

				<input type="url" style="width:100%;" name="link[]" value="'.$links[$key].'"  placeholder="'.$plxPlugin->getlang("L_URL_EXAMPLE").'"/>

				<input type="text" style="width:100%;" name="description[]" placeholder="'.$plxPlugin->getlang("L_DESC").'" value="'.$descriptions[$key].'"/>

				<a onclick="removeme(this)">&#10006; '.$plxPlugin->getlang("L_REMOVE").' <strong>'.$value.'</strong></a>
			</fieldset>
		</div>
		';
	}
?>


	</div>
	<p class="right"></p>
	<div style="clear:both"></div>
	<input type="submit" name="submit" value="Enregistrer"/>
</form>
